﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .inputTextBox {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 13px;
            background-color: #fff;
            padding: 1px;
            border: solid 1px #ADACAC;
            color: #000000;
            width: 200px;
            height: 21px;
        }

        .inputDropDownList {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 13px;
            height: 25px;
            background-color: #fff;
            padding: 1px;
            border: solid 1px #ADACAC;
            width: 204px;
            color: #000000;
        }

        .inputButton {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 11px;
            background: lightgray;
            padding: 1px;
            border: solid 1px darkgray;
            width: 55px;
            height: 28px;
            color: #000;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <h1>Demo - Dynamically add items to Dropdownlist in ASP.Net</h1>
        <asp:UpdatePanel ID="updatePnlCity" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Label ID="lblCityExists" runat="server" ForeColor="Red"></asp:Label><br />
                <br />
                <asp:Panel ID="pnlCity" runat="server">
                    <table border="0" cellspacing="0" cellpadding="0" width="500px">
                        <tr>
                            <td style="width: 30%">Select City :</td>
                            <td style="width: 35%">
                                <asp:DropDownList ID="drpCity" runat="server" CssClass="inputDropDownList">
                                </asp:DropDownList>
                            </td>
                            <td style="width: 3%" align="center">&nbsp;
                            </td>
                            <td style="width: 32%">
                                <asp:Button ID="btnCity" runat="server" Text="..." OnClick="btnCity_Click" CssClass="inputButton" />
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Panel ID="pnlAddCity" runat="server" Visible="false">
                    <table border="0" cellspacing="0" cellpadding="0" width="500px">
                        <tr>
                            <td style="width: 30%">Enter New City :</td>
                            <td style="width: 35%">
                                <asp:TextBox ID="txtCity" runat="server" CssClass="inputTextBox"></asp:TextBox>
                            </td>
                            <td style="width: 3%" align="center">&nbsp;
                            </td>
                            <td style="width: 32%">
                                <asp:Button ID="btnAdd" runat="server" Text="Add" OnClick="btnAdd_Click" CssClass="inputButton" />
                                &nbsp;<asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClick="btnCancel_Click"
                                    CssClass="inputButton" />
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:UpdateProgress ID="updateProgressCity" AssociatedUpdatePanelID="updatePnlCity"
            runat="server">
            <ProgressTemplate>
                <img src="loading.gif" alt="Please wait..." />
            </ProgressTemplate>
        </asp:UpdateProgress>
    </form>
</body>
</html>
